"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.Controller = void 0;
const registrable_1 = require("./registrable");
const paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
function Controller(parameters) {
    if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(parameters))
        throw new Error("Can not register a controller without an instance of IController.");
    return (constructor) => {
        if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(constructor))
            throw new Error("Missing controller constructor.");
        if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(parameters.name))
            parameters.name = paradigm_ui_web_shared_1.FunctionExtensions.getFunctionName(constructor);
        if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(parameters.controllerAs))
            parameters.controllerAs = "controller";
        if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(parameters.controller))
            parameters.controller = constructor;
        if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(parameters.controller))
            throw new Error("Missing controller constructor.");
        constructor[registrable_1.registrableMetadataKey] = parameters;
        if (!paradigm_ui_web_shared_1.ObjectExtensions.isNull(parameters.module)) {
            parameters.module.registerController(constructor);
        }
    };
}
exports.Controller = Controller;
//# sourceMappingURL=controller.js.map