"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
var AlertDirective_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlertDirective = void 0;
const tslib_1 = require("tslib");
const directive_1 = require("../decorators/directive");
const angular_service_1 = require("../services/angular.service");
const base_directive_1 = require("./base.directive");
const paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
let AlertDirective = AlertDirective_1 = class AlertDirective extends base_directive_1.DirectiveBase {
    constructor(timeout) {
        super();
        this.timeout = timeout;
    }
    onInit(scope, instanceElement, instanceAttributes, controller, transclude) {
        const alertType = scope.alertType;
        const timeout = parseInt(scope.timeout, 10);
        instanceElement.addClass("alert");
        if (!paradigm_ui_web_shared_1.ObjectExtensions.isNull(alertType))
            instanceElement.addClass(alertType);
        if (!paradigm_ui_web_shared_1.ObjectExtensions.isNull(timeout))
            this.timeout(() => scope.close(), timeout);
    }
    static factory(timeout) {
        return new AlertDirective_1(timeout);
    }
};
AlertDirective = AlertDirective_1 = (0, tslib_1.__decorate)([
    (0, directive_1.Directive)({
        name: "alert",
        bindings: {
            alertType: "@",
            timeout: "@",
            close: "&"
        },
        dependencies: [angular_service_1.AngularServices.timeout]
    })
], AlertDirective);
exports.AlertDirective = AlertDirective;
//# sourceMappingURL=alert.directive.js.map