"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
var FileButtonDirective_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileButtonDirective = void 0;
const tslib_1 = require("tslib");
const angular_service_1 = require("../services/angular.service");
const directive_1 = require("../decorators/directive");
const base_directive_1 = require("./base.directive");
const paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
let FileButtonDirective = FileButtonDirective_1 = class FileButtonDirective extends base_directive_1.DirectiveBase {
    constructor(timeout) {
        super();
        this.timeout = timeout;
    }
    onInit(scope, instanceElement, instanceAttributes, controller, transclude) {
        const button = instanceElement.find("button");
        var file = instanceElement.find("input");
        button.on("click", () => file.trigger("click"));
        file.on("change", e => {
            this.timeout(() => {
                if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(e) || paradigm_ui_web_shared_1.ObjectExtensions.isNull(e.target) || paradigm_ui_web_shared_1.ObjectExtensions.isNull(e.target["files"]))
                    return;
                scope["fileSelected"]({ files: e.target["files"] });
            });
        });
    }
    static factory(timeout) {
        return new FileButtonDirective_1(timeout);
    }
};
FileButtonDirective = FileButtonDirective_1 = (0, tslib_1.__decorate)([
    (0, directive_1.Directive)({
        name: "fileButton",
        restrict: "E",
        bindings: {
            title: "@",
            ariaLabel: "@",
            accept: "@",
            caption: "@",
            cssClass: "@",
            fileSelected: "&"
        },
        template: "<input type=\"file\" style=\"display: none\" title=\"{{title}}\" accept=\"{{accept}}\" aria-label=\"{{ariaLabel}}\" /><button type=\"button\" class=\"{{cssClass}}\">{{caption}}</button>",
        dependencies: [angular_service_1.AngularServices.timeout]
    })
], FileButtonDirective);
exports.FileButtonDirective = FileButtonDirective;
//# sourceMappingURL=file-button.directive.js.map