"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
var FormatAsNumberDirective_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormatAsNumberDirective = void 0;
const tslib_1 = require("tslib");
const directive_1 = require("../decorators/directive");
const base_directive_1 = require("./base.directive");
const paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
let FormatAsNumberDirective = FormatAsNumberDirective_1 = class FormatAsNumberDirective extends base_directive_1.DirectiveBase {
    onInit(scope, instanceElement, instanceAttributes, controller, transclude) {
        if (!paradigm_ui_web_shared_1.ObjectExtensions.isNull(controller)) {
            controller.$formatters.unshift(value => {
                return (paradigm_ui_web_shared_1.ObjectExtensions.isNull(value) || value === "") ? null : Number(value).toFixed(instanceAttributes["decimalPlaces"] || 2);
            });
            controller.$parsers.unshift(value => {
                return (paradigm_ui_web_shared_1.ObjectExtensions.isNull(value) || value === "") ? null : Number(value).valueOf();
            });
            instanceElement.blur(() => {
                var value = instanceElement.val();
                return instanceElement.val((paradigm_ui_web_shared_1.ObjectExtensions.isNull(value) || value === "") ? null : Number(instanceElement.val()).toFixed(instanceAttributes["decimalPlaces"] || 2));
            });
        }
    }
    static factory() {
        return new FormatAsNumberDirective_1();
    }
};
FormatAsNumberDirective = FormatAsNumberDirective_1 = (0, tslib_1.__decorate)([
    (0, directive_1.Directive)({
        name: "formatAsNumber",
        require: "?ngModel"
    })
], FormatAsNumberDirective);
exports.FormatAsNumberDirective = FormatAsNumberDirective;
//# sourceMappingURL=format-as-number.directive.js.map