"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
var MdUiSrefActiveDirective_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.MdUiSrefActiveDirective = void 0;
const tslib_1 = require("tslib");
const angular_service_1 = require("../services/angular.service");
const directive_1 = require("../decorators/directive");
const base_directive_1 = require("./base.directive");
const paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
let MdUiSrefActiveDirective = MdUiSrefActiveDirective_1 = class MdUiSrefActiveDirective extends base_directive_1.DirectiveBase {
    constructor(interpolate, state, transitions) {
        super();
        this.interpolate = interpolate;
        this.state = state;
        this.transitions = transitions;
    }
    onInit(scope, instanceElement, instanceAttributes, controller, transclude) {
        var cssClass = instanceAttributes["mdUiSrefActive"];
        var state = this.interpolate(instanceAttributes["mdUiSref"] || instanceAttributes["uiSref"])(scope);
        function update(toState) {
            if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(toState) || paradigm_ui_web_shared_1.ObjectExtensions.isNull(toState.name))
                return;
            if (toState.name.indexOf(state) !== -1) {
                instanceElement.addClass(cssClass);
            }
            else {
                instanceElement.removeClass(cssClass);
            }
        }
        update(this.state.current);
        instanceElement["transition-event"] = this.transitions.onSuccess({}, () => {
            update(this.state.current);
        });
    }
    onDestroy(scope, instanceElement, instanceAttributes, controller, transclude) {
        var hookOff = instanceElement["transition-event"];
        if (!paradigm_ui_web_shared_1.ObjectExtensions.isNull(hookOff)) {
            instanceElement["transition-event"]();
            instanceElement["transition-event"] = null;
        }
        super.onDestroy(scope, instanceElement, instanceAttributes, controller, transclude);
    }
    static factory(interpolate, state, transitions) {
        return new MdUiSrefActiveDirective_1(interpolate, state, transitions);
    }
};
MdUiSrefActiveDirective = MdUiSrefActiveDirective_1 = (0, tslib_1.__decorate)([
    (0, directive_1.Directive)({
        name: "mdUiSrefActive",
        dependencies: [angular_service_1.AngularServices.interpolate, angular_service_1.AngularServices.state, angular_service_1.AngularServices.transitions]
    })
], MdUiSrefActiveDirective);
exports.MdUiSrefActiveDirective = MdUiSrefActiveDirective;
//# sourceMappingURL=md-ui-sref-active.directive.js.map