"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
var OnKeyboardDirective_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnKeyboardDirective = void 0;
const tslib_1 = require("tslib");
const directive_1 = require("../decorators/directive");
const base_directive_1 = require("./base.directive");
const key_processor_service_1 = require("../services/key-processor.service");
let OnKeyboardDirective = OnKeyboardDirective_1 = class OnKeyboardDirective extends base_directive_1.DirectiveBase {
    constructor(keyProcessor) {
        super();
        this.keyProcessor = keyProcessor;
    }
    onInit(scope, instanceElement, instanceAttributes, controller, transclude) {
        var keyActions = this.keyProcessor.parseActions(instanceAttributes["onKeyboard"]);
        if (keyActions.any(x => x.eventType === "keypress"))
            instanceElement.keypress(e => this.keyProcessor.evaluateKeyActions(keyActions, "keypress", scope, e));
        if (keyActions.any(x => x.eventType === "keydown"))
            instanceElement.keydown(e => this.keyProcessor.evaluateKeyActions(keyActions, "keydown", scope, e));
        if (keyActions.any(x => x.eventType === "keyup"))
            instanceElement.keyup(e => this.keyProcessor.evaluateKeyActions(keyActions, "keyup", scope, e));
    }
    static factory(keyProcessor) {
        return new OnKeyboardDirective_1(keyProcessor);
    }
};
OnKeyboardDirective = OnKeyboardDirective_1 = (0, tslib_1.__decorate)([
    (0, directive_1.Directive)({
        name: "onKeyboard",
        dependencies: [key_processor_service_1.KeyProcessorService]
    })
], OnKeyboardDirective);
exports.OnKeyboardDirective = OnKeyboardDirective;
//# sourceMappingURL=on-keyboard.directive.js.map