"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
var ScrollToTopDirective_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScrollToTopDirective = void 0;
const tslib_1 = require("tslib");
const directive_1 = require("../decorators/directive");
const angular_service_1 = require("../services/angular.service");
const base_directive_1 = require("./base.directive");
const paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
const $ = require("jquery");
let ScrollToTopDirective = ScrollToTopDirective_1 = class ScrollToTopDirective extends base_directive_1.DirectiveBase {
    constructor(transitions) {
        super();
        this.transitions = transitions;
    }
    onInit(scope, instanceElement, instanceAttributes, controller, transclude) {
        const options = {};
        this.tryGetBoolean(options, instanceAttributes, "onStateChange");
        this.tryGetBoolean(options, instanceAttributes, "onClick");
        scope.$watch(() => instanceAttributes["onStateChange"], (newValue) => {
            if (newValue === "true") {
                if (paradigm_ui_web_shared_1.ObjectExtensions.isNull(instanceElement[0]["stateChangeEvent"])) {
                    instanceElement[0]["stateChangeEvent"] = this.transitions.onSuccess({}, () => {
                        $("body").scrollTop(0);
                    });
                }
            }
            else {
                if (!paradigm_ui_web_shared_1.ObjectExtensions.isNull(instanceElement[0]["stateChangeEvent"])) {
                    instanceElement[0]["stateChangeEvent"]();
                    instanceElement[0]["stateChangeEvent"] = null;
                }
            }
        });
        if (options.onClick) {
            instanceElement.on("click", () => {
                $("body").scrollTop(0);
            });
        }
    }
    static factory(transitions) {
        return new ScrollToTopDirective_1(transitions);
    }
};
ScrollToTopDirective = ScrollToTopDirective_1 = (0, tslib_1.__decorate)([
    (0, directive_1.Directive)({
        name: "scrollToTop",
        dependencies: [angular_service_1.AngularServices.transitions]
    })
], ScrollToTopDirective);
exports.ScrollToTopDirective = ScrollToTopDirective;
//# sourceMappingURL=scroll-to-top.directive.js.map