"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
var ScrollToggleClassDirective_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScrollToggleClassDirective = void 0;
const tslib_1 = require("tslib");
const directive_1 = require("../decorators/directive");
const base_directive_1 = require("./base.directive");
const $ = require("jquery");
let ScrollToggleClassDirective = ScrollToggleClassDirective_1 = class ScrollToggleClassDirective extends base_directive_1.DirectiveBase {
    onInit(scope, instanceElement, instanceAttributes, controller, transclude) {
        var self = this;
        function updateElement() {
            self.updateElement(instanceElement, instanceAttributes);
        }
        $(window).on("scroll.scrollToggleClass", updateElement);
        this.updateElement(instanceElement, instanceAttributes);
    }
    updateElement(element, instanceAttributes) {
        const options = {};
        this.tryGetNumber(options, instanceAttributes, "minPos");
        this.tryGetNumber(options, instanceAttributes, "maxPos");
        this.tryGet(options, instanceAttributes, "cssClass");
        options.minPos = options.minPos || Number.MIN_VALUE;
        options.maxPos = options.maxPos || Number.MAX_VALUE;
        const scroll = $(window).scrollTop();
        if (scroll >= options.minPos && scroll <= options.maxPos)
            element.addClass(options.cssClass);
        else
            element.removeClass(options.cssClass);
    }
    onDestroy(scope, instanceElement, instanceAttributes, controller, transclude) {
        $(window).unbind("scroll.scrollToggleClass");
        super.onDestroy(scope, instanceElement, instanceAttributes, controller, transclude);
    }
    static factory() {
        return new ScrollToggleClassDirective_1();
    }
};
ScrollToggleClassDirective = ScrollToggleClassDirective_1 = (0, tslib_1.__decorate)([
    (0, directive_1.Directive)({
        name: "scrollToggleClass"
    })
], ScrollToggleClassDirective);
exports.ScrollToggleClassDirective = ScrollToggleClassDirective;
//# sourceMappingURL=scroll-toggle-class.directive.js.map