"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
var SelectToggleClassDirective_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelectToggleClassDirective = void 0;
const tslib_1 = require("tslib");
const base_directive_1 = require("./base.directive");
const directive_1 = require("../decorators/directive");
const $ = require("jquery");
let SelectToggleClassDirective = SelectToggleClassDirective_1 = class SelectToggleClassDirective extends base_directive_1.DirectiveBase {
    onInit(scope, instanceElement, instanceAttributes, controller, transclude) {
        var className = instanceAttributes["selectToggleClass"];
        function documentClick() {
            instanceElement.removeClass(className);
        }
        $("html").on("click.selectToggleClass", documentClick);
        instanceElement.on("click", e => {
            e.stopPropagation();
            instanceElement.toggleClass(className);
        });
    }
    onDestroy(scope, instanceElement, instanceAttributes, controller, transclude) {
        $("html").unbind("click.selectToggleClass");
        super.onDestroy(scope, instanceElement, instanceAttributes, controller, transclude);
    }
    static factory() {
        return new SelectToggleClassDirective_1();
    }
};
SelectToggleClassDirective = SelectToggleClassDirective_1 = (0, tslib_1.__decorate)([
    (0, directive_1.Directive)({
        name: "selectToggleClass"
    })
], SelectToggleClassDirective);
exports.SelectToggleClassDirective = SelectToggleClassDirective;
//# sourceMappingURL=select-toggle-class.directive.js.map