"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.InterceptorBase = void 0;
class InterceptorBase {
    constructor(q) {
        this.q = q;
        this.request = c => this.onRequest(c);
        this.response = r => this.onResponse(r);
        this.requestError = r => this.onRequestError(r);
        this.responseError = r => this.onResponseError(r);
    }
    onRequest(config) {
        return config;
    }
    onResponse(response) {
        return this.q.resolve(response);
    }
    onRequestError(rejection) {
        return this.q.reject(rejection);
    }
    onResponseError(rejection) {
        return this.q.reject(rejection);
    }
}
exports.InterceptorBase = InterceptorBase;
//# sourceMappingURL=base.interceptor.js.map