"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.MockController = void 0;
const base_controller_1 = require("../controllers/base.controller");
class MockController extends base_controller_1.ControllerBase {
    constructor(scope, injector, testService) {
        super(scope, injector);
        this.service = testService;
        this.numberResult = 0;
        this.booleanResult = false;
        this.stringResult = "";
        this.dateResult = null;
        this.objectResult = null;
        this.arrayResult = null;
        this.rejectionReason = "";
        this.loading = false;
    }
    getAlertService() { return this.alertService; }
    getStateService() { return this.stateService; }
    getMessageBus() { return this.messageBus; }
    getMessageBusTokens() { return this.messageBusTokens; }
    getTranslator() { return this.translator; }
    getLogger() { return this.logger; }
    retrieveService(name) {
        return this.getService(name);
    }
    testNumbers() {
        this.call(() => this.service.numberPromise(), x => this.numberResult = x);
    }
    testBooleans() {
        this.call(() => this.service.booleanPromise(), x => this.booleanResult = x);
    }
    testStrings() {
        this.call(() => this.service.stringPromise(), x => this.stringResult = x);
    }
    testDates() {
        this.call(() => this.service.datePromise(), x => this.dateResult = x);
    }
    testObjects() {
        this.call(() => this.service.objectPromise(), x => this.objectResult = x);
    }
    testArrays() {
        this.call(() => this.service.arrayPromise(), x => this.arrayResult = x);
    }
    testRejection() {
        this.numberResult = 0;
        this.call(() => this.service.rejectPromise(), x => this.numberResult = x, null, x => this.rejectionReason = x);
    }
    testLoading() {
        this.call(() => this.service.numberPromise(), x => this.numberResult = x, x => this.isLoading(x));
    }
    isLoading(loading) {
        this.loading = loading;
    }
}
exports.MockController = MockController;
//# sourceMappingURL=mock.controller.spec.js.map