/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
import { ServiceBase } from "./base.service";
import { ArrayList } from "@miracledevs/paradigm-ui-web-shared";
import { LoggingService, LogType } from "./logging.service";
export declare class AlertService extends ServiceBase {
    private logger;
    private alerts;
    constructor(logger: LoggingService);
    add(alertType: AlertType, message: string): void;
    addError(message: string): void;
    addWarning(message: string): void;
    addMessage(message: string): void;
    remove(index: number | Alert): void;
    get(index: number): Alert;
    getAlerts(): ArrayList<Alert>;
    clear(): void;
    static getLogType(alertType: AlertType): LogType;
    static factory(logger: LoggingService): AlertService;
}
export declare enum AlertType {
    Message = 2,
    Warning = 3,
    Error = 4
}
export declare class Alert {
    private alertType;
    private innerMessage;
    get type(): AlertType;
    get typeName(): string;
    get message(): string;
    constructor(alertType: AlertType, message: string);
    private static getTypeName;
}
