"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
var AsyncResourceService_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.AsyncResourceService = void 0;
const tslib_1 = require("tslib");
const base_service_1 = require("./base.service");
const service_1 = require("../decorators/service");
const angular_service_1 = require("./angular.service");
const paradigm_ui_web_shared_1 = require("@miracledevs/paradigm-ui-web-shared");
const angular = require("angular");
let AsyncResourceService = AsyncResourceService_1 = class AsyncResourceService extends base_service_1.ServiceBase {
    constructor(sce, q, document) {
        super();
        this.sce = sce;
        this.q = q;
        this.document = document;
        this.deferredRequests = new paradigm_ui_web_shared_1.Dictionary();
    }
    loadScript(url) {
        return this.loadResource("script", url);
    }
    loadImage(url) {
        return this.loadResource("img", url);
    }
    loadVieo(url) {
        return this.loadResource("video", url);
    }
    loadResource(type, url) {
        if (this.deferredRequests.containsKey(url))
            return this.deferredRequests.get(url).promise;
        const defer = this.q.defer();
        this.deferredRequests.add(url, defer);
        this.sce.trustAsResourceUrl(url);
        const element = angular.element(`<${type}></${type}>`);
        this.document.find("body").append(element);
        element.on("load", () => defer.resolve());
        element.attr("id", "async script");
        element[0]["src"] = url;
        return defer.promise;
    }
    static factory(sce, q, document) {
        return new AsyncResourceService_1(sce, q, document);
    }
};
AsyncResourceService = AsyncResourceService_1 = (0, tslib_1.__decorate)([
    (0, service_1.Service)({
        name: "$pd-asyncResourceService",
        dependencies: [angular_service_1.AngularServices.sce, angular_service_1.AngularServices.q, angular_service_1.AngularServices.document]
    })
], AsyncResourceService);
exports.AsyncResourceService = AsyncResourceService;
//# sourceMappingURL=async-resource.service.js.map