"use strict";
/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
var ExceptionService_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExceptionService = void 0;
const tslib_1 = require("tslib");
const base_service_1 = require("./base.service");
const service_1 = require("../decorators/service");
const alert_service_1 = require("./alert.service");
const logging_service_1 = require("./logging.service");
let ExceptionService = ExceptionService_1 = class ExceptionService extends base_service_1.ServiceBase {
    constructor(alertService, logger) {
        super();
        this.alertService = alertService;
        this.logger = logger;
    }
    processException(exception, cause) {
        this.alertService.addError(exception.message);
        this.logger.error(`Cause:${cause}`);
    }
    static factory(alertService, logger) {
        return (exception, cause) => new ExceptionService_1(alertService, logger).processException(exception, cause);
    }
};
ExceptionService = ExceptionService_1 = (0, tslib_1.__decorate)([
    (0, service_1.Service)({
        name: "$pd-exceptionService",
        dependencies: [alert_service_1.AlertService, logging_service_1.LoggingService]
    })
], ExceptionService);
exports.ExceptionService = ExceptionService;
//# sourceMappingURL=exception.service.js.map