/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
import { ServiceBase } from "./base.service";
import { IHttpPromise } from "angular";
export declare abstract class HttpServiceBase extends ServiceBase {
    private http;
    private host;
    protected constructor(http: ng.IHttpService, host: string);
    protected get<T>(url: string, parameters?: any): IHttpPromise<T>;
    protected post<T>(url: string, parameters?: any, body?: any): IHttpPromise<T>;
    protected put<T>(url: string, parameters?: any, body?: any): IHttpPromise<T>;
    protected patch<T>(url: string, parameters?: any, body?: any): IHttpPromise<T>;
    protected delete<T>(url: string, parameters?: any): IHttpPromise<T>;
    protected options<T>(url: string, parameters?: any): IHttpPromise<T>;
    private getStringValue;
    private getUrl;
    protected getHeaders(): any;
}
