/*!
 * Paradigm Framework - AngularJS Wrapper
 * Copyright (c) 2017 Miracle Devs, Inc
 * Licensed under MIT (https://github.com/MiracleDevs/Paradigm.Web.Shared/blob/master/LICENSE)
 */
/// <reference types="jquery" />
import { ServiceBase } from "./base.service";
import { IParseService, IScope, ICompiledExpression } from "angular";
import { ArrayList } from "@miracledevs/paradigm-ui-web-shared";
export declare class KeyProcessorService extends ServiceBase {
    private parse;
    constructor(parse: IParseService);
    evaluateKeyActions(keyActions: ArrayList<KeyAction>, eventType: string, scope: IScope, e: JQueryKeyEventObject): void;
    parseActions(text: string): ArrayList<KeyAction>;
    static factory(parse: IParseService): KeyProcessorService;
}
export declare class KeyAction {
    eventType: string;
    keyCode: number;
    shift: boolean;
    ctrl: boolean;
    alt: boolean;
    action: ICompiledExpression;
}
